ALTER TABLE dbo.Merice ADD
	Id_vyrobce int NULL
GO

GO
CREATE VIEW [dbo].[glob_Merice_Vyrobci]
AS
SELECT     Id_vyrobce, Vyrobce, Pozn
FROM         Rony_Global.dbo.MericeUT_vyrobci

GO

GO

ALTER VIEW [dbo].[qMerice]
AS
SELECT     dbo.Domy.Kod_domu, dbo.Domy.Mesto, dbo.Vchody.Cislo_vchodu, dbo.Vchody.Ulice_cislo, dbo.Byty.Cislo_bytu, dbo.Byty.Odberne_misto, 
                      dbo.Merice_typy.Meric_zkratka, dbo.Merice.Id_merice, dbo.Merice.Id_bytu, dbo.Merice.Typ_merice, dbo.Merice.Poradi, dbo.Merice.Misto, dbo.Merice.Id_vyrobce, 
                      dbo.glob_Merice_Vyrobci.Vyrobce, dbo.Merice.Vyrobni_cislo, dbo.Merice.Jina_identifikace, dbo.Merice.MericUT_typ, dbo.Merice.Id_radiatoru, 
                      dbo.Merice.Koef_prestup, dbo.Merice.Koef_montaz, dbo.Merice.Poplatek_za_odpocet, dbo.Merice.Procento_poplatku, dbo.Merice.Datum_instalace, 
                      dbo.Merice.Datum_platnosti, dbo.Merice.Vymeneny, dbo.Merice.Datum_vymeny, dbo.Merice.Fiktivni, dbo.Merice.Pozn, dbo.Merice.Id_typumericeUT, 
                      dbo.Merice.Vytvoril_id, dbo.Merice.Vytvoril_datum, dbo.Merice.Ulozil_id, dbo.Merice.Ulozil_datum, dbo.Merice.TempID, dbo.Merice.ImportID, 
                      dbo.aqMerice_PocetOdpoctu.Pocet_odpoctu, dbo.Radiatory.Typ AS Radiator_Typ, dbo.Radiatory.Velikost AS Radiator_velikost, dbo.Radiatory.Pocet_clanku, 
                      dbo.Radiatory.Koef_vykonu, dbo.Radiatory.Poloha, dbo.Radiatory.Koef_polohy, dbo.Radiatory.SvetovaStrana, dbo.Radiatory.Koef_SvStrany, 
                      dbo.Radiatory.Koef_volne1, dbo.Radiatory.Koef_volne2, dbo.Domy.Id_domu, dbo.Vchody.Id_vchodu, dbo.Merice_typy.UT, dbo.Merice_typy.TV, dbo.Merice_typy.SV, 
                      dbo.vqOdpocty_Final.Odpocet AS Spotreba, dbo.vqOdpocty_Final.OdpocetKor AS Spotreba_kor, dbo.Merice.Elektronicky_odpocet, dbo.Domy.Ve_sprave, 
                      dbo.Domy.Uzavreno, dbo.Domy.Uzamceno, dbo.Merice.GUID
FROM         dbo.Merice INNER JOIN
                      dbo.Byty ON dbo.Merice.Id_bytu = dbo.Byty.Id_bytu INNER JOIN
                      dbo.Vchody ON dbo.Byty.Id_vchodu = dbo.Vchody.Id_vchodu INNER JOIN
                      dbo.Domy ON dbo.Vchody.Id_domu = dbo.Domy.Id_domu INNER JOIN
                      dbo.Merice_typy ON dbo.Merice.Typ_merice = dbo.Merice_typy.Typ_merice LEFT OUTER JOIN
                      dbo.glob_Merice_Vyrobci ON dbo.Merice.Id_vyrobce = dbo.glob_Merice_Vyrobci.Id_vyrobce LEFT OUTER JOIN
                      dbo.Radiatory ON dbo.Merice.Id_radiatoru = dbo.Radiatory.Id_radiatoru LEFT OUTER JOIN
                      dbo.vqOdpocty_Final ON dbo.Merice.Id_merice = dbo.vqOdpocty_Final.Id_merice LEFT OUTER JOIN
                      dbo.aqMerice_PocetOdpoctu ON dbo.Merice.Id_merice = dbo.aqMerice_PocetOdpoctu.Id_merice
GO



ALTER VIEW [dbo].[qVchody_PoctyInfo]
AS
SELECT     dbo.Vchody.Id_vchodu, ISNULL(B.Pocet_bytu, 0) AS Byty, ISNULL(Naj.Najemnici, 0) AS Najemnici, ISNULL(UT.Merice_UT, 0) AS Merice_UT, UT.Merice_UT_Vymeneny, 
                      ISNULL(TV.Merice_TV, 0) AS Merice_TV, TV.Merice_TV_Vymeneny, ISNULL(SV.Merice_SV, 0) AS Merice_SV, SV.Merice_SV_Vymeneny, ISNULL(TV.Merice_TV, 0) 
                      + ISNULL(SV.Merice_SV, 0) AS Merice_TVSV, ISNULL(mOST.Merice_EL, 0) AS Merice_EL, mOST.Merice_EL_Vymeneny, UT.Popl_UT, TV.Popl_TV, SV.Popl_SV, 
                      mOST.Popl_EL, TV.Popl_TV + SV.Popl_SV AS Popl_TVSV, Naj.Popl_ost_naj, Naj.Popl_UT_naj, Naj.Popl_TV_naj, Naj.Popl_SV_naj, ISNULL(UT.Popl_UT, 0) 
                      + ISNULL(TV.Popl_TV, 0) + ISNULL(SV.Popl_SV, 0) + ISNULL(mOST.Popl_EL, 0) + ISNULL(Naj.Popl_ost_naj, 0) + ISNULL(Naj.Popl_UT_naj, 0) 
                      + ISNULL(Naj.Popl_TV_naj, 0) + ISNULL(Naj.Popl_SV_naj, 0) AS Poplatky_Celkem
FROM         dbo.Vchody LEFT OUTER JOIN
                          (SELECT     Vchody_2.Id_vchodu, SUM(CASE WHEN IsNull(Vymeneny, 0) = 0 THEN 1 ELSE 0 END) AS Merice_EL, 
                                                   SUM(CASE WHEN Vymeneny = 1 THEN 1 ELSE 0 END) AS Merice_EL_Vymeneny, SUM(Merice_1.Poplatek_za_odpocet) AS Popl_EL
                            FROM          dbo.Merice_typy AS Merice_typy_1 INNER JOIN
                                                   dbo.Vchody AS Vchody_2 INNER JOIN
                                                   dbo.Byty AS Byty_2 ON Vchody_2.Id_vchodu = Byty_2.Id_vchodu INNER JOIN
                                                   dbo.Merice AS Merice_1 ON Byty_2.Id_bytu = Merice_1.Id_bytu ON Merice_typy_1.Typ_merice = Merice_1.Typ_merice
                            WHERE      (Merice_typy_1.OST = 1)
                            GROUP BY Vchody_2.Id_vchodu) AS mOST ON dbo.Vchody.Id_vchodu = mOST.Id_vchodu LEFT OUTER JOIN
                          (SELECT     Vchody_5.Id_vchodu, COUNT(dbo.Byty.Id_bytu) AS Pocet_bytu
                            FROM          dbo.Vchody AS Vchody_5 LEFT OUTER JOIN
                                                   dbo.Byty ON Vchody_5.Id_vchodu = dbo.Byty.Id_vchodu
                            GROUP BY Vchody_5.Id_vchodu) AS B ON dbo.Vchody.Id_vchodu = B.Id_vchodu LEFT OUTER JOIN
                          (SELECT     Vchody_4.Id_vchodu, SUM(CASE WHEN IsNull(Vymeneny, 0) = 0 THEN 1 ELSE 0 END) AS Merice_UT, 
                                                   SUM(CASE WHEN Vymeneny = 1 THEN 1 ELSE 0 END) AS Merice_UT_Vymeneny, SUM(dbo.Merice.Poplatek_za_odpocet) AS Popl_UT
                            FROM          dbo.Merice_typy INNER JOIN
                                                   dbo.Vchody AS Vchody_4 INNER JOIN
                                                   dbo.Byty AS Byty_4 ON Vchody_4.Id_vchodu = Byty_4.Id_vchodu INNER JOIN
                                                   dbo.Merice ON Byty_4.Id_bytu = dbo.Merice.Id_bytu ON dbo.Merice_typy.Typ_merice = dbo.Merice.Typ_merice
                            WHERE      (dbo.Merice_typy.UT = 1)
                            GROUP BY Vchody_4.Id_vchodu) AS UT ON dbo.Vchody.Id_vchodu = UT.Id_vchodu LEFT OUTER JOIN
                          (SELECT     Vchody_3.Id_vchodu, SUM(CASE WHEN IsNull(Vymeneny, 0) = 0 THEN 1 ELSE 0 END) AS Merice_TV, 
                                                   SUM(CASE WHEN Vymeneny = 1 THEN 1 ELSE 0 END) AS Merice_TV_Vymeneny, SUM(Merice_2.Poplatek_za_odpocet) AS Popl_TV
                            FROM          dbo.Merice_typy AS Merice_typy_2 INNER JOIN
                                                   dbo.Vchody AS Vchody_3 INNER JOIN
                                                   dbo.Byty AS Byty_3 ON Vchody_3.Id_vchodu = Byty_3.Id_vchodu INNER JOIN
                                                   dbo.Merice AS Merice_2 ON Byty_3.Id_bytu = Merice_2.Id_bytu ON Merice_typy_2.Typ_merice = Merice_2.Typ_merice
                            WHERE      (Merice_typy_2.TV = 1)
                            GROUP BY Vchody_3.Id_vchodu) AS TV ON dbo.Vchody.Id_vchodu = TV.Id_vchodu LEFT OUTER JOIN
                          (SELECT     Vchody_2.Id_vchodu, SUM(CASE WHEN IsNull(Vymeneny, 0) = 0 THEN 1 ELSE 0 END) AS Merice_SV, 
                                                   SUM(CASE WHEN Vymeneny = 1 THEN 1 ELSE 0 END) AS Merice_SV_Vymeneny, SUM(Merice_1.Poplatek_za_odpocet) AS Popl_SV
                            FROM          dbo.Merice_typy AS Merice_typy_1 INNER JOIN
                                                   dbo.Vchody AS Vchody_2 INNER JOIN
                                                   dbo.Byty AS Byty_2 ON Vchody_2.Id_vchodu = Byty_2.Id_vchodu INNER JOIN
                                                   dbo.Merice AS Merice_1 ON Byty_2.Id_bytu = Merice_1.Id_bytu ON Merice_typy_1.Typ_merice = Merice_1.Typ_merice
                            WHERE      (Merice_typy_1.SV = 1)
                            GROUP BY Vchody_2.Id_vchodu) AS SV ON dbo.Vchody.Id_vchodu = SV.Id_vchodu LEFT OUTER JOIN
                          (SELECT     Vchody_1.Id_vchodu, COUNT(dbo.Najemnici.Id_najemnika) AS Najemnici, SUM(dbo.Najemnici.Poplatek_ost) AS Popl_ost_naj, 
                                                   SUM(dbo.Najemnici.Poplatek_UT) AS Popl_UT_naj, SUM(dbo.Najemnici.Poplatek_TV) AS Popl_TV_naj, SUM(dbo.Najemnici.Poplatek_SV) 
                                                   AS Popl_SV_naj
                            FROM          dbo.Vchody AS Vchody_1 INNER JOIN
                                                   dbo.Byty AS Byty_1 ON Vchody_1.Id_vchodu = Byty_1.Id_vchodu INNER JOIN
                                                   dbo.Najemnici ON Byty_1.Id_bytu = dbo.Najemnici.Id_bytu
                            GROUP BY Vchody_1.Id_vchodu) AS Naj ON dbo.Vchody.Id_vchodu = Naj.Id_vchodu
GO


GO

ALTER VIEW [dbo].[aqMerice_LastOdpocet]
AS
SELECT     dbo.Vchody.Id_domu, dbo.Merice.Id_bytu, dbo.Merice.Id_merice, dbo.Merice.Typ_merice, dbo.Merice.Poradi, dbo.Merice.Vyrobni_cislo, dbo.Merice.Jina_identifikace, 
                      dbo.aqOdpocet_Last.Hodnota_Last, dbo.aqOdpocet_Last.Datum_Last, dbo.aqOdpocet_Last.Odpar, dbo.Merice.Datum_instalace, dbo.Merice.Vymeneny, 
                      dbo.Merice.Datum_vymeny, dbo.Merice_typy.UT, dbo.Merice_typy.TV, dbo.Merice_typy.SV, dbo.Merice.Misto, dbo.Merice_typy.Meric_zkratka, 
                      dbo.Radiatory.Typ AS Rad_typ, dbo.Radiatory.Misto AS Rad_misto, dbo.glob_Merice_Vyrobci.Vyrobce, dbo.Radiatory.Velikost AS Rad_velikost, 
                      dbo.Radiatory.Vykon AS Rad_vykon, dbo.Radiatory.Pocet_clanku, dbo.Radiatory.Koef_vykonu, dbo.Radiatory.Poloha, dbo.Radiatory.Koef_polohy, 
                      dbo.Radiatory.SvetovaStrana, dbo.Radiatory.Koef_SvStrany, dbo.Radiatory.Volne1, dbo.Radiatory.Koef_volne1, dbo.Radiatory.Volne2, dbo.Radiatory.Koef_volne2, 
                      dbo.Merice.Datum_platnosti, dbo.Merice.Koef_prestup, dbo.Merice.Koef_montaz
FROM         dbo.Radiatory RIGHT OUTER JOIN
                      dbo.Vchody RIGHT OUTER JOIN
                      dbo.Byty ON dbo.Vchody.Id_vchodu = dbo.Byty.Id_vchodu RIGHT OUTER JOIN
                      dbo.glob_Merice_Vyrobci RIGHT OUTER JOIN
                      dbo.Merice ON dbo.glob_Merice_Vyrobci.Id_vyrobce = dbo.Merice.Id_vyrobce ON dbo.Byty.Id_bytu = dbo.Merice.Id_bytu ON 
                      dbo.Radiatory.Id_radiatoru = dbo.Merice.Id_radiatoru LEFT OUTER JOIN
                      dbo.aqOdpocet_Last ON dbo.Merice.Id_merice = dbo.aqOdpocet_Last.Id_merice LEFT OUTER JOIN
                      dbo.Merice_typy ON dbo.Merice.Typ_merice = dbo.Merice_typy.Typ_merice
GO

ALTER VIEW [dbo].[tqMerice_Odpocty]
AS
SELECT     dbo.aqMerice_Poplatky.Id_domu, dbo.Merice.Id_bytu, dbo.Merice.Id_merice, dbo.Merice.Typ_merice, dbo.Merice_typy.UT, dbo.Merice_typy.TV, dbo.Merice_typy.SV, 
                      dbo.Merice.Poradi, dbo.Merice.Misto, dbo.glob_Merice_Vyrobci.Vyrobce, dbo.Merice.Vyrobni_cislo, dbo.Merice.Jina_identifikace, dbo.Merice.MericUT_typ, 
                      dbo.Merice_typy.Meric_zkratka, dbo.vqOdpocty_PocKon2.Poc, dbo.vqOdpocty_PocKon2.Kon, 
                      dbo.vqOdpocty_PocKon2.OdparKon - dbo.vqOdpocty_PocKon2.OdparPoc AS Odpar, dbo.vqOdpocty_PocKon2.Kor_koefOdp, dbo.vqOdpocty_Final.Odpocet, 
                      dbo.vqOdpocty_Final.KKoef_vykonu, dbo.vqOdpocty_Final.KKoef_prestup, dbo.vqOdpocty_Final.KKoef_montaz, dbo.vqOdpocty_Final.KKoef_polohy, 
                      dbo.vqOdpocty_Final.KKoef_SvStrany, dbo.vqOdpocty_Final.KKoef_volne1, dbo.vqOdpocty_Final.KKoef_volne2, dbo.vqOdpocty_Final.OdpocetKor, 
                      dbo.aqMerice_Poplatky.Poplatek_meric
FROM         dbo.aqMerice_Poplatky RIGHT OUTER JOIN
                      dbo.Merice LEFT OUTER JOIN
                      dbo.glob_Merice_Vyrobci ON dbo.Merice.Id_vyrobce = dbo.glob_Merice_Vyrobci.Id_vyrobce LEFT OUTER JOIN
                      dbo.vqOdpocty_PocKon2 ON dbo.Merice.Id_merice = dbo.vqOdpocty_PocKon2.Id_merice LEFT OUTER JOIN
                      dbo.vqOdpocty_Final ON dbo.Merice.Id_merice = dbo.vqOdpocty_Final.Id_merice ON dbo.aqMerice_Poplatky.Id_merice = dbo.Merice.Id_merice LEFT OUTER JOIN
                      dbo.Merice_typy ON dbo.Merice.Typ_merice = dbo.Merice_typy.Typ_merice
GO

ALTER VIEW [dbo].[tqMerice_Odpocty2]
AS
SELECT     dbo.Vypocet_Byty.Id_domu, dbo.Vypocet_Byty.Id_bytu, dbo.Vypocet_Odpocty.Id_najemnika, dbo.Vypocet_Odpocty.Id_merice, dbo.Merice_typy.Typ_merice, 
                      dbo.Merice_typy.UT, dbo.Merice_typy.TV, dbo.Merice_typy.SV, dbo.Merice.Poradi, dbo.Merice.Misto, dbo.glob_Merice_Vyrobci.Vyrobce, dbo.Merice.Vyrobni_cislo, 
                      dbo.Merice.Jina_identifikace, dbo.Merice.MericUT_typ, dbo.Merice_typy.Meric_zkratka, dbo.Vypocet_Odpocty.Datum_od, dbo.Vypocet_Odpocty.Datum_do, 
                      dbo.Vypocet_Odpocty.Odpocet_poc, dbo.Vypocet_Odpocty.Odpocet_kon, dbo.aqMerice_KorKoef.KKoef_vykonu, dbo.aqMerice_KorKoef.KKoef_prestup, 
                      dbo.aqMerice_KorKoef.KKoef_montaz, dbo.aqMerice_KorKoef.KKoef_polohy, dbo.aqMerice_KorKoef.KKoef_SvStrany, dbo.aqMerice_KorKoef.KKoef_volne1, 
                      dbo.aqMerice_KorKoef.KKoef_volne2, dbo.Vypocet_Odpocty.Odpocet_korkoef, dbo.Vypocet_Odpocty.Odpocet_kor, dbo.Vypocet_Odpocty.Poplatek_koef, 
                      dbo.Vypocet_Odpocty.Poplatek_kor, dbo.Vypocet_Odpocty.Popis, dbo.Vypocet_Odpocty.Odpar
FROM         dbo.Merice_typy RIGHT OUTER JOIN
                      dbo.glob_Merice_Vyrobci RIGHT OUTER JOIN
                      dbo.Merice ON dbo.glob_Merice_Vyrobci.Id_vyrobce = dbo.Merice.Id_vyrobce ON dbo.Merice_typy.Typ_merice = dbo.Merice.Typ_merice RIGHT OUTER JOIN
                      dbo.Vypocet_Byty RIGHT OUTER JOIN
                      dbo.Vypocet_Odpocty ON dbo.Vypocet_Byty.Id_vypbyt = dbo.Vypocet_Odpocty.Id_vypbyt LEFT OUTER JOIN
                      dbo.aqMerice_KorKoef ON dbo.Vypocet_Odpocty.Id_merice = dbo.aqMerice_KorKoef.Id_merice ON dbo.Merice.Id_merice = dbo.Vypocet_Odpocty.Id_merice
GO

ALTER VIEW [dbo].[tqNajemnici]
AS
SELECT     dbo.Domy.Kod_domu, dbo.Domy.Cislo_uzlu, dbo.Vchody.Cislo_vchodu, dbo.Vchody.Cislo_vchodu_orient, dbo.Vchody.Skupina_vchodu, dbo.Vchody.Ulice_cislo, 
                      dbo.Domy.Mesto, dbo.Domy.PSC, dbo.Byty.Cislo_bytu, ISNULL(dbo.Byty.Cislo_bytu_prefix, N'') + CAST(dbo.Byty.Cislo_bytu AS nvarchar) 
                      + ISNULL(dbo.Byty.Cislo_bytu_suffix, N'') AS Cislo_bytu_ext, dbo.Byty.Odberne_misto, dbo.Byty.Plocha, CASE WHEN Kor2_plocha_UT IS NOT NULL 
                      THEN IsNull(Najemnici.Plocha_UT_naj, Plocha_UT) ELSE dbo.aqByty_Plochy.Plocha_korigovana_UT END AS Plocha_korigovana_UT, 
                      dbo.aqByty_Plochy.Plocha_korigovana_TV, dbo.Byty.Vyska, dbo.aqByty_Plochy.Pocet_osob_Avg, dbo.aqByty_Plochy.Pocet_osob_Avg2, 
                      dbo.Najemnici.Cislo_najemnika, dbo.Najemnici.Jina_identifikace, dbo.Najemnici.Prijmeni, dbo.Najemnici.Jmeno, dbo.Najemnici.Datum_od, dbo.Najemnici.Datum_do, 
                      dbo.Najemnici.Bez_nakladu, dbo.Najemnici.Pozn, dbo.aqByty_PocetNajemniku.Pocet_najemniku, dbo.Byty.Kor_plocha_UT, dbo.Byty.Kor_stat_UT, 
                      dbo.Byty.Bez_odberu_UT, dbo.Byty.Bez_odberu_SP, dbo.Byty.Kor_plocha_TV, dbo.Byty.Bez_odberu_TV, dbo.Byty.Kor_stat_TV, dbo.Byty.Bez_odberu_SV, 
                      dbo.Byty.Kor_stat_SV, dbo.Byty.Nebytovy, dbo.aqNajemnici_OsAvg.Osoby_avg, dbo.Vchody.Id_domu, dbo.Vchody.Id_vchodu, dbo.Byty.Id_bytu, 
                      dbo.Najemnici.Id_najemnika, dbo.Byty.Podlazi, dbo.Byty.Plocha_UT, dbo.Byty.Plocha_TV, dbo.Najemnici.Kontakt_tel, dbo.Najemnici.Kontakt_email, 
                      dbo.Najemnici.Osoby_prumer, dbo.Najemnici.Bez_nakladu_UT, dbo.Najemnici.Bez_nakladu_SP, dbo.Najemnici.Bez_nakladu_TV, dbo.Najemnici.Bez_nakladu_SV, 
                      dbo.Najemnici.Tisk_pozn, dbo.Domy.Vypocet_korkoef_bez_nakladu
FROM         dbo.aqNajemnici_OsAvg RIGHT OUTER JOIN
                      dbo.Najemnici ON dbo.aqNajemnici_OsAvg.Id_najemnika = dbo.Najemnici.Id_najemnika RIGHT OUTER JOIN
                      dbo.aqByty_Plochy RIGHT OUTER JOIN
                      dbo.Byty INNER JOIN
                      dbo.Vchody ON dbo.Byty.Id_vchodu = dbo.Vchody.Id_vchodu INNER JOIN
                      dbo.Domy ON dbo.Vchody.Id_domu = dbo.Domy.Id_domu LEFT OUTER JOIN
                      dbo.aqByty_PocetNajemniku ON dbo.Byty.Id_bytu = dbo.aqByty_PocetNajemniku.Id_bytu ON dbo.aqByty_Plochy.Id_bytu = dbo.Byty.Id_bytu ON 
                      dbo.Najemnici.Id_bytu = dbo.Byty.Id_bytu
GO

CREATE VIEW [dbo].[tqNajemnici_Last]
AS
SELECT     dbo.tqNajemnici.Kod_domu, dbo.tqNajemnici.Cislo_uzlu, dbo.tqNajemnici.Cislo_vchodu, dbo.tqNajemnici.Cislo_vchodu_orient, dbo.tqNajemnici.Skupina_vchodu, 
                      dbo.tqNajemnici.Ulice_cislo, dbo.tqNajemnici.Mesto, dbo.tqNajemnici.PSC, dbo.tqNajemnici.Cislo_bytu, dbo.tqNajemnici.Cislo_bytu_ext, 
                      dbo.tqNajemnici.Odberne_misto, dbo.tqNajemnici.Plocha, dbo.tqNajemnici.Plocha_korigovana_UT, dbo.tqNajemnici.Plocha_korigovana_TV, dbo.tqNajemnici.Vyska, 
                      dbo.tqNajemnici.Pocet_osob_Avg, dbo.tqNajemnici.Pocet_osob_Avg2, dbo.tqNajemnici.Cislo_najemnika, dbo.tqNajemnici.Jina_identifikace, dbo.tqNajemnici.Prijmeni, 
                      dbo.tqNajemnici.Jmeno, dbo.tqNajemnici.Datum_od, dbo.tqNajemnici.Datum_do, dbo.tqNajemnici.Bez_nakladu, dbo.tqNajemnici.Pozn, 
                      dbo.tqNajemnici.Pocet_najemniku, dbo.tqNajemnici.Kor_plocha_UT, dbo.tqNajemnici.Kor_stat_UT, dbo.tqNajemnici.Bez_odberu_UT, dbo.tqNajemnici.Bez_odberu_SP,
                       dbo.tqNajemnici.Kor_plocha_TV, dbo.tqNajemnici.Bez_odberu_TV, dbo.tqNajemnici.Kor_stat_TV, dbo.tqNajemnici.Bez_odberu_SV, dbo.tqNajemnici.Kor_stat_SV, 
                      dbo.tqNajemnici.Nebytovy, dbo.tqNajemnici.Osoby_avg, dbo.tqNajemnici.Id_domu, dbo.tqNajemnici.Id_vchodu, dbo.tqNajemnici.Id_bytu, 
                      dbo.tqNajemnici.Id_najemnika, dbo.tqNajemnici.Podlazi, dbo.tqNajemnici.Plocha_UT, dbo.tqNajemnici.Plocha_TV, dbo.tqNajemnici.Kontakt_tel, 
                      dbo.tqNajemnici.Kontakt_email, dbo.tqNajemnici.Osoby_prumer, dbo.tqNajemnici.Bez_nakladu_UT, dbo.tqNajemnici.Bez_nakladu_SP, 
                      dbo.tqNajemnici.Bez_nakladu_TV, dbo.tqNajemnici.Bez_nakladu_SV, dbo.tqNajemnici.Tisk_pozn, dbo.tqNajemnici.Vypocet_korkoef_bez_nakladu, 
                      dbo.aqByt_LastNajemnik.Id_najemnika AS Id_najemnika_Last
FROM         dbo.aqByt_LastNajemnik RIGHT OUTER JOIN
                      dbo.tqNajemnici ON dbo.aqByt_LastNajemnik.Id_bytu = dbo.tqNajemnici.Id_bytu AND dbo.aqByt_LastNajemnik.Id_najemnika = dbo.tqNajemnici.Id_najemnika

GO


GO

UPDATE _Version_info SET Verze = 11.0
GO

